#ifndef QAD_APPLICATION_H
#define QAD_APPLICATION_H

#include <QtCore/qplugin.h>
#include <QtDesigner/QtDesigner>

class QADApplication
	: public QObject
	, public QDesignerCustomWidgetCollectionInterface {
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)
#if QT_VERSION >= 0x050000
	Q_PLUGIN_METADATA(IID "qad.application")
#endif

public:
	explicit QADApplication(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface *> customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface *> m_widgets;
};

#endif // QAD_APPLICATION_H
